## javanet.staxutils.helpers
Class StreamWriterDelegate

    java.lang.Object
      javanet.staxutils.helpers.StreamWriterDelegate

All Implemented Interfaces:
  XMLStreamWriter

Direct Known Subclasses:
  IndentingXMLStreamWriter

    public abstract class StreamWriterDelegate

extends Object
implements XMLStreamWriter

Abstract class for writing filtered XML streams. This class provides methods that merely delegate to the contained stream. Subclasses should override some of these methods, and may also provide additional methods and fields.

Author:
  John Kristian

Field Summary
`protected XMLStreamWriter` `out`

Constructor Summary
`protected` `StreamWriterDelegate(XMLStreamWriter out)`

Method Summary
`void` `close()`
`void` `flush()`
`NamespaceContext` `getNamespaceContext()`
`String` `getPrefix(String uri)`
`Object` `getProperty(String name)`
`void` `setDefaultNamespace(String uri)`
`void` `setNamespaceContext(NamespaceContext context)`
`void` `setPrefix(String prefix, String uri)`
`void` `writeAttribute(String localName, String value)`
`void` `writeAttribute(String namespaceURI, String localName, String value)`
`void` `writeAttribute(String prefix, String namespaceURI, String localName, String value)`
`void` `writeCData(String data)`
`void` `writeCharacters(char[] text, int start, int len)`
`void` `writeCharacters(String text)`
`void` `writeComment(String data)`
`void` `writeDefaultNamespace(String namespaceURI)`
`void` `writeDTD(String dtd)`
`void` `writeEmptyElement(String localName)`
`void` `writeEmptyElement(String namespaceURI, String localName)`
`void` `writeEmptyElement(String prefix, String localName, String namespaceURI)`
`void` `writeEndDocument()`
`void` `writeEndElement()`
`void` `writeEntityRef(String name)`
`void` `writeNamespace(String prefix, String namespaceURI)`
`void` `writeProcessingInstruction(String target)`
`void` `writeProcessingInstruction(String target, String data)`
`void` `writeStartDocument()`
`void` `writeStartDocument(String version)`
`void` `writeStartDocument(String encoding, String version)`
`void` `writeStartElement(String localName)`
`void` `writeStartElement(String namespaceURI, String localName)`
`void` `writeStartElement(String prefix, String localName, String namespaceURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected XMLStreamWriter out

Constructor Detail

### StreamWriterDelegate

    protected StreamWriterDelegate(XMLStreamWriter out)

Method Detail

### getProperty

    public Object getProperty(String name)
                       throws IllegalArgumentException

  Specified by:
    `getProperty` in interface `XMLStreamWriter`
  Throws:
    `IllegalArgumentException`

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `XMLStreamWriter`

### setNamespaceContext

    public void setNamespaceContext(NamespaceContext context)
                             throws XMLStreamException

  Specified by:
    `setNamespaceContext` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### setDefaultNamespace

    public void setDefaultNamespace(String uri)
                             throws XMLStreamException

  Specified by:
    `setDefaultNamespace` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeStartDocument

    public void writeStartDocument()
                            throws XMLStreamException

  Specified by:
    `writeStartDocument` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeStartDocument

    public void writeStartDocument(String version)
                            throws XMLStreamException

  Specified by:
    `writeStartDocument` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeStartDocument

    public void writeStartDocument(String encoding,
                                   String version)
                            throws XMLStreamException

  Specified by:
    `writeStartDocument` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeDTD

    public void writeDTD(String dtd)
                  throws XMLStreamException

  Specified by:
    `writeDTD` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeProcessingInstruction

    public void writeProcessingInstruction(String target)
                                    throws XMLStreamException

  Specified by:
    `writeProcessingInstruction` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeProcessingInstruction

    public void writeProcessingInstruction(String target,
                                           String data)
                                    throws XMLStreamException

  Specified by:
    `writeProcessingInstruction` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeComment

    public void writeComment(String data)
                      throws XMLStreamException

  Specified by:
    `writeComment` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeEmptyElement

    public void writeEmptyElement(String localName)
                           throws XMLStreamException

  Specified by:
    `writeEmptyElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeEmptyElement

    public void writeEmptyElement(String namespaceURI,
                                  String localName)
                           throws XMLStreamException

  Specified by:
    `writeEmptyElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeEmptyElement

    public void writeEmptyElement(String prefix,
                                  String localName,
                                  String namespaceURI)
                           throws XMLStreamException

  Specified by:
    `writeEmptyElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeStartElement

    public void writeStartElement(String localName)
                           throws XMLStreamException

  Specified by:
    `writeStartElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeStartElement

    public void writeStartElement(String namespaceURI,
                                  String localName)
                           throws XMLStreamException

  Specified by:
    `writeStartElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeStartElement

    public void writeStartElement(String prefix,
                                  String localName,
                                  String namespaceURI)
                           throws XMLStreamException

  Specified by:
    `writeStartElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeDefaultNamespace

    public void writeDefaultNamespace(String namespaceURI)
                               throws XMLStreamException

  Specified by:
    `writeDefaultNamespace` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeNamespace

    public void writeNamespace(String prefix,
                               String namespaceURI)
                        throws XMLStreamException

  Specified by:
    `writeNamespace` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### getPrefix

    public String getPrefix(String uri)
                     throws XMLStreamException

  Specified by:
    `getPrefix` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### setPrefix

    public void setPrefix(String prefix,
                          String uri)
                   throws XMLStreamException

  Specified by:
    `setPrefix` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeAttribute

    public void writeAttribute(String localName,
                               String value)
                        throws XMLStreamException

  Specified by:
    `writeAttribute` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeAttribute

    public void writeAttribute(String namespaceURI,
                               String localName,
                               String value)
                        throws XMLStreamException

  Specified by:
    `writeAttribute` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeAttribute

    public void writeAttribute(String prefix,
                               String namespaceURI,
                               String localName,
                               String value)
                        throws XMLStreamException

  Specified by:
    `writeAttribute` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeCharacters

    public void writeCharacters(String text)
                         throws XMLStreamException

  Specified by:
    `writeCharacters` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeCharacters

    public void writeCharacters(char[] text,
                                int start,
                                int len)
                         throws XMLStreamException

  Specified by:
    `writeCharacters` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeCData

    public void writeCData(String data)
                    throws XMLStreamException

  Specified by:
    `writeCData` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeEntityRef

    public void writeEntityRef(String name)
                        throws XMLStreamException

  Specified by:
    `writeEntityRef` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeEndElement

    public void writeEndElement()
                         throws XMLStreamException

  Specified by:
    `writeEndElement` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### writeEndDocument

    public void writeEndDocument()
                          throws XMLStreamException

  Specified by:
    `writeEndDocument` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### flush

    public void flush()
               throws XMLStreamException

  Specified by:
    `flush` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`

### close

    public void close()
               throws XMLStreamException

  Specified by:
    `close` in interface `XMLStreamWriter`
  Throws:
    `XMLStreamException`